#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 43. Audio Utilities

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home

# kwave-21.12.2

## Introduction to KWave

The KWave package contains a KF5 based Sound Editor application.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/kwave-21.12.2.tar.xz

- Download MD5 sum: 18badd31b41d86fe78d857c1c78c3efe

- Download size: 6.6 MB

- Estimated disk space required: 71 MB

- Estimated build time: 0.9 SBU (using parallelism=4)

### KWave Dependencies

#### Required

AudioFile-0.3.6, fftw-3.3.10, id3lib-3.8.3, and KDE Frameworks-5.91.0

#### Recommended

alsa-lib-1.2.6.1, FLAC-1.3.3, libogg-1.3.5, and PulseAudio-15.0

#### Optional

Doxygen-1.9.3

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/kwave

## Installation of KWave

Install KWave by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kwave
Installed Libraries: libkwave.so, libkwavegui.so, and 29 plugins
Installed Directories: $KF5_PREFIX/lib/plugins/kwave, $KF5_PREFIX/share/kwave, $KF5_PREFIX/share/doc/HTML/*/kwave

### Short Descriptions

kwave | is a sound editor built on the KDE Frameworks 5

Last updated on

- Prev

  CDParanoia-III-10.2

- Next

  LAME-3.100

- Up
- Home